summaryrefslogtreecommitdiffstats
path: root/multimedia/ffmpeg/ffmpeg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/ffmpeg/ffmpeg.SlackBuild')
-rw-r--r--multimedia/ffmpeg/ffmpeg.SlackBuild45
1 files changed, 31 insertions, 14 deletions
diff --git a/multimedia/ffmpeg/ffmpeg.SlackBuild b/multimedia/ffmpeg/ffmpeg.SlackBuild
index ce21830c2f..852bd02cea 100644
--- a/multimedia/ffmpeg/ffmpeg.SlackBuild
+++ b/multimedia/ffmpeg/ffmpeg.SlackBuild
@@ -4,17 +4,19 @@
# Written by core (eroc@linuxmail.org)
# Modified by Robby Workman <rworkman@slackbuilds.org>
+# Modified by Heinz Wiesinger <pprkut@liwjatan.org>
set -e
PRGNAM=ffmpeg
-VERSION=${VERSION:-20071003}
-# To use today's svn checkout, comment the line above and uncomment
+VERSION=${VERSION:-20081105}
+# To use today's svn checkout, comment the line above and uncomment
# the line below. See the README for more information.
#VERSION=${VERSION:-$(date +"%Y%m%d")}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -24,13 +26,29 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+if [ "${AMRNB:-no}" = "no" ]; then
+ amr_nb=""
+else
+ non_free="--enable-nonfree"
+ amr_nb="--enable-libamr-nb"
+fi
+
+if [ "${AMRWB:-no}" = "no" ]; then
+ amr_wb=""
+else
+ non_free="--enable-nonfree"
+ amr_wb="--enable-libamr-wb"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -44,34 +62,33 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-shared \
--disable-static \
--enable-pthreads \
- --enable-libogg \
--enable-libtheora \
--enable-libvorbis \
--enable-gpl \
- --enable-pp \
- --enable-swscaler \
+ --enable-postproc \
+ --enable-swscale \
--enable-x11grab \
--enable-libmp3lame \
--enable-libfaac \
--enable-libfaad \
--enable-libxvid \
- --enable-liba52 \
- --enable-libx264
+ --enable-libx264 \
+ --enable-avfilter \
+ --enable-avfilter-lavf \
+ $non_free \
+ $amr_nb \
+ $amr_wb
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changelog* COPYING* CREDITS* INSTALL* MAINTAINERS* \